import {
	axios
} from '@/utils/request.js'

 

// 发送邮箱验证码
export function Api_getEmailCode(data) {
	return axios.post(`/api/sms_mail` , data )
}

// 登陆页- 登陆
export function Api_userLogin(data) {
	return axios.post(`/api/user/login` , data )
}

// 获得个人信息
export function Api_getUserInfo() {
	return axios.get(`/api/user/info` )
}

//  轮播图/公告列表/新闻列表
export function Api_getNewsList(data) {
	return axios.post(`/api/news/list` , data )
}


// 0-2 注册-01-获得国家区号
export function Api_getAreaCode() {
	return axios.post(`/api/area_code`)
}

// 03 行情列表/首页推荐
export function Api_getQuotationNew() {
	return axios.get(`/api/currency/quotation_new`)
}


// // 根据手机号登录
// export function goAuthLogin_Api(data) {
// 	return axios.post(`/auth/c/doMiniLoginByPhone` , data )
// }

// // 小程序根据用户(企业)ID登录
// export function goEnterpriseId_Api(data) {
// 	return axios.post(`/auth/c/doMiniLoginById` , data)
// }

// // 获取手机号
// export function getWxPhone_Api(data) {
// 	return axios.post(`/auth/c/getWxPhone` , data )
// }

// // 根据扫描发票返回信息获取发票信息
// export function getCodeInvoice_Api(data) {
// 	return axios.post(`/biz/c/get/invoice/info` , data )
// }

// // 获取发票信息表分页
// export function getInvoicePage_Api(data) {
// 	return axios.get(`/biz/c/invoice/page` , data )
// }

// // 确定录入
// export function confirmEntry_Api(data) {
// 	return axios.post(`/biz/c/confirm/entry` , data )
// }
// // 获取发票信息表详情
// export function getInvoiceDetail_Api(data) {
// 	return axios.get(`/biz/c/invoice/detail` , data )
// }

// // 删除发票
// export function delInvoice_Api(data) {
// 	return axios.post(`/biz/c/invoice/delete` , data )
// }

// // 发票导出
// export function exportInvoice_Api(data) {
// 	return axios.get(`/biz/c/invoice/export` , data , {responseType: 'arraybuffer', Blob : true} )
// }

// // 获取C端用户详情
// export function getUserDetail_Api(data) {
// 	return axios.get(`/client/c/user/detail` , data)
// }


// //更新用户信息
// export function setUserInfo_Api(data) {
// 	return axios.post(`/client/c/update/user` , data)
// }
